﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using System.Windows.Controls;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.DataContext = new RadGridViewSampleData();
		}
	}

	public class RadGridViewSampleData
	{
		public RadGridViewSampleData()
		{
			Cars = new ObservableCollection<Car>();
			Cars.Add(new Car("BMW", "A german luxury car."));
			Cars.Add(new Car("Porsche", "A german sports car."));
			Cars.Add(new Car("Citroen", "A french luxury car."));
			Cars.Add(new Car("Reno", "A french family car."));
		}
		public ObservableCollection<Car> Cars
		{
			get;
			set;
		}
	}

	public class Car
	{
		public Car()
		{
		}
		public Car(string name, string description)
		{
			this.Name = name;
			this.Description = description;
		}
		public string Name
		{
			get;
			set;
		}
		public string Description
		{
			get;
			set;
		}
	}
}
